﻿<Graph ClassName="ICConsignmentContent" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.AR;

namespace Consignment
{
    [Serializable]
    [PXCacheName("ICConsignmentContent")]
    public class ICConsignmentContent : IBqlTable
    {
        #region RecordID
        [PXDBIdentity(IsKey = true)]
        public virtual int? RecordID { get; set; }
        public abstract class recordID : PX.Data.BQL.BqlInt.Field<recordID> { }
        #endregion

        #region APRefNbr 
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "AP Reference Nbr.")]
        [PXDBDefault(typeof(APInvoice.refNbr))]
        public virtual string APRefNbr { get; set; }
        public abstract class aPRefNbr : PX.Data.BQL.BqlString.Field<aPRefNbr> { }
        #endregion

        #region ICLineNbr
        [PXDBInt()]
        [PXUIField(DisplayName = "Consignment Line Nbr.")]
        public virtual int? ICLineNbr { get; set; }
        public abstract class iCLineNbr : PX.Data.BQL.BqlInt.Field<iCLineNbr> { }
        #endregion

        #region ARRefNbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "AR Reference Nbr.")]
        public virtual string ARRefNbr { get; set; }
        public abstract class aRRefNbr : PX.Data.BQL.BqlString.Field<aRRefNbr> { }
        #endregion

        #region ARLineNbr
        [PXDBInt()]
        [PXUIField(DisplayName = "AR Line Nbr.")]
        public virtual int? ARLineNbr { get; set; }
        public abstract class aRLineNbr : PX.Data.BQL.BqlInt.Field<aRLineNbr> { }
        #endregion

        #region ICQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00")]
        [PXParent(typeof(Select<
            ARTran, 
            Where<ARTran.refNbr, Equal<Current<aRRefNbr>>, 
                And<ARTran.tranType, Equal<ARDocType.invoice>,
                And<ARTran.lineNbr, Equal<Current<aRLineNbr>>>>>>))]
        [PXFormula(null, typeof(SubCalc<ARTranExtIC.usrICOpenQty>))]
        [PXUIField(DisplayName = "Qty.")]
        public virtual Decimal? ICQty { get; set; }
        public abstract class iCQty : PX.Data.BQL.BqlDecimal.Field<iCQty> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>